	uniform float Trans;

void main()
{	
vec4 v = vec4(gl_Vertex);		
v.y += sin(v.z*18.0+v.x*10.0+ Trans*6.0 )*0.6;
v.x += sin(v.z*11.0+v.x*19.0+ Trans*1.3 )*0.4;
v.z += sin(v.z*13.0+v.x*12.0+ Trans*1.4 )*0.5;

gl_Position = gl_ModelViewProjectionMatrix * v;	
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[0].t += Trans;	

}